# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve report files Reporting service provides you with several ways to retrieve report files so that you can choose the option that suits your business needs the most. Methods for retrieving reports include: - Returned via JSON payload using GET /report-files/{report-id} - Accessed via our Commerce Center user portal Interoperability is supported between the Commerce Center and the Reporting API. - Reports configured in the Commerce Center can be accessed and downloaded through the Reporting API, provided the token has the correct entitlements. - Reports configured in the API can be accessed and downloaded via the Commerce Center, provided the user has the appropriate entitlements. ## Before you begin Before you can access reports, you’ll need to: - Understand [report types](/docs/commerce/optimization-protection/capabilities/reporting/report-types) - Set up a [report configuration](/docs/commerce/optimization-protection/capabilities/reporting/report-configurations/scheduled-adhoc) - Check the [status of your report](/docs/commerce/optimization-protection/capabilities/reporting/how-to/run-reports) ## Reports via JSON payload Retrieve reports via the JSON response payload by sending a `GET` request to the `/report-files/{report-id}` endpoint. You can also choose the report data's format by appending `?reportFormat=PDF` or one of the following formats to the request. **Supported report formats** | Format type | Description | Output | | --- | --- | --- | | PDF | The report is generated as a Portable Document Format (PDF). You can have a maximum of 15 fields per section. | File download | | CSV | The report is generated in a Comma Seperated Values (CSV) format. You can also download a CSV as GZ file. | JSON reponse | | GZ | The report is generated in a gzip format. Gzip or GNU zip is an open source file compression method. (The maximum compressed file size is 1 GB, which means you can compress up to 16 GB of data) Note: Use this file format for downloading large files quickly. | File download | The default value report-format is CSV. You can also specify a format in `reportFormatList` in the report configuration. Learn more about [managing report configurations](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations). > You may need to perform a `GET /reports` to find a list of available reportIdentifiers. > The following shows an example of receiving CSV data in the JSON response. **HTTP method**: `GET` **Endpoints**: `/report-files/{report-id} or /report-files/{report-id}?reportFormat=CSV` ```json BEGIN,EntityId=1793347,Frequency=adhoc 17933444,TransactionDetails,adhoc,2024-12-01,2024-12-02,2025-03-18,GenerationTime=12:16:52 "MERCHANT NAME","MERCHANT #","PROC DATE","CARDHOLDER #","Reject Code","AMOUNT" "ABC Inc","6389396","2024-12-01","601100XXXXXX5797","275","999259.77000000" "ABC Inc","6389396","2024-12-01","601100XXXXXX5797","275","999259.77000000" END,EntityId=1793347,Frequency=adhoc ``` > The Reporting API doesn't support fixed length. Instead, the report file data is separated by `fileDelimiter` attribute. For more information, refer to [Manage report configuration](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations). > ## Reports via Commerce Center The [Commerce Center](https://jpmorgan.com/commerce-center) is a user portal with a wide range of capabilities including viewing your reports and transaction data. For more information on this service, contact your relationship manager or access the user guides under **Support **in Commerce Center. > Report file size limits for different report delivery options: > > > - Commerce Center: up to 500 MB > > - Reporting API: up to 3 GB > > - For reports above 3GB, large file delivery mechanism set up is required. > ## Related [Pagination](/docs/commerce/optimization-protection/capabilities/reporting/pagination) [How to manage report configurations](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations) [How to run reports](/docs/commerce/optimization-protection/capabilities/reporting/how-to/run-reports)